{
  "meta": {
    "restrictions": [
      {
        "resUri": "/capability/switch/main",
        "property": "power",
        "type": 1,
        "value": "on,off"
      },
      {
        "resUri": "/capability/audioVolume/main",
        "property": "command",
        "type": 1,
        "value": "increase,decrease,max,min"
      },
      {
        "resUri": "/capability/tvChannel/main",
        "property": "command",
        "type": 1,
        "value": "increase,decrease"
      }
    ],
    "resDesc": [
      {
        "resUri": "/capability/switch/main",
        "name": "WWST Power Switch",
        "desc": "Turn on and off a device\n"
      },
      {
        "resUri": "/capability/audioVolume/main",
        "name": "WWST Audio volume",
        "desc": "Volume control for TV, Networ speakers, etc\n"
      },
      {
        "resUri": "/capability/tvChannel/main",
        "name": "WWST TV Channel control",
        "desc": "TV Channel control\n"
      }
    ],
    "propDesc": [
      {
        "resUri": "/capability/switch/main",
        "property": "power",
        "desc": "State of the power switch."
      },
      {
        "resUri": "/capability/audioVolume/main",
        "property": "volume",
        "desc": "Volume setting of an audio rendering device."
      },
      {
        "resUri": "/capability/audioVolume/main",
        "property": "mute",
        "desc": "Mute setting of an audio rendering device"
      },
      {
        "resUri": "/capability/audioVolume/main",
        "property": "command",
        "desc": "Comand for controlling"
      },
      {
        "resUri": "/capability/tvChannel/main",
        "property": "channel",
        "desc": "Specifies a channel"
      },
      {
        "resUri": "/capability/tvChannel/main",
        "property": "command",
        "desc": "Command of the channel control."
      }
    ]
  },
  "device": [
    {
      "specification": {
        "device": {
          "deviceType": "x.wwst.d.tv",
          "deviceName": "[TV]",
          "specVersion": "core.1.1.0",
          "dataModelVersion": "res.1.1.0"
        },
        "platform": {
          "manufacturerName": "",
          "manufacturerUrl": "http://www.samsung.com",
          "manufacturingDate": "2017-01-01",
          "modelNumber": "STV_2017_K",
          "platformVersion": "3.0",
          "osVersion": "tizen",
          "hardwareVersion": "TS01",
          "firmwareVersion": "Virtual Device_0824",
          "vendorId": ""
        }
      },
      "resources": {
        "single": [
          {
            "uri": "/capability/switch/main",
            "types": [
              "x.com.st.powerswitch"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/audioVolume/main",
            "types": [
              "x.com.st.audiovolume"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/tvChannel/main",
            "types": [
              "x.com.st.tvchannel"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.baseline"
            ],
            "policy": 3
          }
        ]
      }
    }
  ],
  "resourceTypes": [
    {
      "type": "x.com.st.powerswitch",
      "properties": [
        {
          "key": "power",
          "type": 3,
          "mandatory": true,
          "rw": 3
        }
      ]
    },
    {
      "type": "x.com.st.audiovolume",
      "properties": [
        {
          "key": "volume",
          "type": 1,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "mute",
          "type": 0,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "command",
          "type": 3,
          "mandatory": false,
          "rw": 3
        }
      ]
    },
    {
      "type": "x.com.st.tvchannel",
      "properties": [
        {
          "key": "channel",
          "type": 3,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "command",
          "type": 3,
          "mandatory": true,
          "rw": 3
        }
      ]
    }
  ],
  "configuration": {
    "easySetup": {
      "connectivity": {
        "type": 1,
        "softAP": {
          "setupId": "001",
          "artik": false
        }
      },
      "ownershipTransferMethod": 2
    },
    "wifi": {
      "interfaces": 15,
      "frequency": 1
    },
    "filePath": {
      "svrdb": "/mnt/artikserversecured.dat",
      "provisioning": "/mnt/provisioning.dat",
      "certificate": "/rom/certificate",
      "privateKey": "/rom/privatekey"
    }
  }
}
